Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000184graphvizBuild/Installpublic2003-02-25 22:512011-04-28 04:02
ReporterDuane Voth 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-Mandrake 9.0OS Version
Summary0000184: 1.9 source RPM presumes /usr/lib/graphviz exists
Description



I believe I've found a flaw in the graphviz source RPM testing methods;
test builds are being done without removing the previous version!



There is another problem with some Makefile but I do not know the
build system well enough to find it..



Simply, installing the 1.9 source RPM on a Mandrake 9.0 system (probably
any Linux distro will do) causes "rpm -bb graphviz.spec" to fail because
/usr/lib/graphviz does not exist. RPM (at least on mdk9.0 Linux) builds
its files in a /var/tmp/graphviz-root directory and most compile, link,
and install commands reference /var/tmp/graphviz-root/usr/lib/graphviz
for graphviz specific libraries. Part way through the build however
gcc is fired up with -L/usr/lib/graphviz and subsequently all the lib
references for this command fail. Here is a fragment of the RPM output:



<CD>
....
mkdir /var/tmp/graphviz-root/usr/share/man/man1
 /usr/bin/install -c -m 644 ./dot.1 /var/tmp/graphviz-root/usr/share/man/man1/dot.1
 /usr/bin/install -c -m 644 ./neato.1 /var/tmp/graphviz-root/usr/share/man/man1/neato.1
 /usr/bin/install -c -m 644 ./twopi.1 /var/tmp/graphviz-root/usr/share/man/man1/twopi.1
gcc -shared dotneato.lo -Wl,--whole-archive ../dotneato/common/.libs/libcommonconvenience.al ../dotneato/dotgen/.libs/libdotconvenience.al ../dotneato/neatogen/.libs/libneatoconvenience.al ../dotneato/twopigen/.libs/libtwopiconvenience.al ../gd/.libs/libgdconvenience.al -Wl,--no-whole-archive -Wl,--rpath -Wl,/usr/lib/graphviz ../dotneato/common/.libs/libcommonconvenience.al ../dotneato/dotgen/.libs/libdotconvenience.al ../dotneato/neatogen/.libs/libneatoconvenience.al ../dotneato/twopigen/.libs/libtwopiconvenience.al -L/usr/lib/graphviz -lpack -lpathplan -lgraph -lcdt ../gd/.libs/libgdconvenience.al -L/usr/lib -lfreetype -lpng -ljpeg -lz -lm -Wl,-soname -Wl,libdotneato.so.0 -o .libs/libdotneato.so.0.0.0
/usr/bin/ld: cannot find -lpack
collect2: ld returned 1 exit status
libtool: install: error: relink `libdotneato.la' with the above command before installing it
libtool: install: warning: remember to run `libtool --finish /usr/lib/graphviz'
make[3]: Leaving directory `/usr/src/RPM/BUILD/graphviz-1.9/dotneato'
make[2]: Leaving directory `/usr/src/RPM/BUILD/graphviz-1.9/dotneato'
make[1]: Leaving directory `/usr/src/RPM/BUILD/graphviz-1.9/dotneato'
Making install in dotty
....
(rpm eventually fails)
</CD>



Some make file is not prepending /var/tmp/graphviz-root to the library
path when building libdotneato.so.



A workaround is to create a symbolic link named 'graphviz' in /usr/lib
which points to /var/tmp/graphviz-root/usr/lib/graphviz, then run
"rpm -bb graphviz.spec" again.






To reproduce:
<CD>
1) cd /usr/lib
2) rm -rf graphviz
3) rpm -ivh /tmp/graphviz-1.9-0.src.rpm
4) cd /usr/src/RPM/SPECS
5) rpm -bb graphviz.spec <--- fails
6) cd /usr/lib
7) ln -s /var/tmp/graphviz-root/usr/lib/graphviz
8) cd /usr/src/RPM/SPECS
9) rpm -bb graphviz.spec <--- succeeds
</CD>
Additional Information

[ellson] Could you please give last night's snapshot a try?
<CD>
http://www.graphviz.org/pub/graphviz/CURRENT/graphviz-1.9.20030226.0515-0.src.rpm [^]
<http://www.graphviz.org/pub/graphviz/CURRENT/graphviz-1.9.20030226.0515-0.src.rpm> [^]
</CD>

I fixed one problem related to the use by libdotneato.so of libraries
not yet installed.
I've verified that I can rebuild binaries from the src rpm on RedHat 8.0.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID266
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (26 February 2003)
VERSION     1.9
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:02 user1 New Issue
2011-04-28 04:02 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker